<?xml version="1.0"?>
<!--
 
  Load the paths of all the URIs located in the input XML file into a property called 'uri.paths'

  @author Jean-Baptiste Reure
  @version 10 April 2012

  Copyright (C) 2009 Weborganic Systems Pty. Ltd.
 -->

<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:enc="java:java.net.URLEncoder"
	xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns="http://www.w3.org/1999/xhtml">

	<xsl:param name="siteprefix" select="''" />

  <xsl:output encoding="UTF-8" method="text" />

	<xsl:template match="/">
    <xsl:variable name="list">
      <xsl:apply-templates select="//uri" />
    </xsl:variable>
    <xsl:text>uri.paths=</xsl:text>
    <xsl:value-of select="replace($list, '\|$', '')" />
    <xsl:text>&#xA;</xsl:text>
	</xsl:template>

  <xsl:template match="uri">
    <xsl:choose>
      <xsl:when test="starts-with(type,'image/')">
        <xsl:value-of select="concat($siteprefix,'/uri/',id,'.',tokenize(decodedpath, '[.]')[last()])"/>|<xsl:text/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="decodedpath"/>|<xsl:text/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>

