<?xml version="1.0"?>
<!--
  Templates used to display the files for a project.
  @author Christophe Lauret
  @version 1 September 2010
-->
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xs="http://www.w3.org/2001/XMLSchema"
                              xmlns:psf="http://www.pageseeder.com/function"
                              exclude-result-prefixes="xs psf">

  <xsl:output method="html" encoding="utf-8" indent="yes"/>
  
  <xsl:variable name="context-path" select="/root/header/context-path"/>

  <!-- Main template -->
  <xsl:template match="/root">
    <xsl:apply-templates select="content/*" />
  </xsl:template>
  
  <xsl:template match="cancelled">
    <div class="cancelled">Job was cancelled</div>
  </xsl:template>
  
  <xsl:template match="error">
    <div class="error">
      <div class="title"><xsl:value-of select="title" /></div>
      <div class="message"><xsl:value-of select="message" /></div>
    </div>
  </xsl:template>
  
</xsl:stylesheet>
