<?xml version="1.0"?>
<!--
  Templates used to display the files for a project.

  @author Jean-Baptiste Reure
  @author Christophe Lauret
  @version 17 March 2011
-->
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xs="http://www.w3.org/2001/XMLSchema"
                              xmlns:psf="http://www.pageseeder.com/function"
                              exclude-result-prefixes="xs psf">

  <xsl:variable name="context-path" select="/root/header/context-path"/> 

  <!-- Main template -->
  <xsl:template match="publish">
    <div class="buildnumber">Build Number: <xsl:value-of select="buildnumber" /></div>
    <div class="title">Libraries</div>
    <table class="libraries" cellspacing="0" cellpadding="0">
      <tbody>
        <xsl:for-each select=".//library">
          <xsl:sort select="." />
          <tr class="library {if (position() mod 2 = 0) then 'even' else 'odd'}">
            <td class="name">
              <xsl:value-of select="." />
              <xsl:if test="@extension != 'jar'"> (<span class="extension"><xsl:value-of select="@extension" /></span>)</xsl:if>
            </td>
            <td class="version"><xsl:value-of select="@version" /></td>
          </tr>
        </xsl:for-each>
      </tbody>
    </table>
  </xsl:template>

</xsl:stylesheet>
