/**
 * A SyntaxHighlighter (http://alexgorbatchev.com/) brush to use for properties files  
 *
 * @author Christophe Lauret
 * @version 27 September 2010 
 */
SyntaxHighlighter.brushes.Properties = function() {

	this.regexList = [
    { regex: /^(#|\!)(.*)$/gm,     css: 'comments' }, // comments
		{ regex: /^([^\!#=]+)(?==)/gm, css: 'keyword' },  // property names
		{ regex: /([^\!#=]+)$/gm,      css: 'color2' }    // property values
	];

	this.forHtmlScript({ 
		left: /(&lt;|<)\s*style.*?(&gt;|>)/gi, 
		right: /(&lt;|<)\/\s*style\s*(&gt;|>)/gi 
	});
};

SyntaxHighlighter.brushes.Properties.prototype	= new SyntaxHighlighter.Highlighter();
SyntaxHighlighter.brushes.Properties.aliases	= ['properties'];
